ZFS-RENAME(8)

NAME
zfs-rename - Renames the given dataset (filesystem or snapshot).

SYNOPSIS
zfs rename [-f] filesystem|volume|snapshot filesystem|volume|snapshot
zfs rename [-fp] filesystem|volume filesystem|volume

DESCRIPTION

    zfs rename [-f] filesystem|volume|snapshot filesystem|volume|snapshot

    zfs rename [-fp] filesystem|volume filesystem|volume Renames the given dataset. The new target can be located anywhere in the ZFS hierarchy, with the exception of snapshots. Snapshots can only be renamed within the parent file system or volume. When renaming a snapshot, the parent file system of the snapshot does not need to be specified as part of the second argument. Renamed file systems can inherit new mount points, in which case they are unmounted and remounted at the new mount point.

    -f  Force unmount any filesystems that need to be unmounted in the process.

    -p  Creates all the nonexistent parent datasets. Datasets created in this manner are automatically mounted according to the mountpoint property inherited from their parent.

    zfs rename -r snapshot snapshot Recursively rename the snapshots of all descendent datasets. Snapshots are the only dataset that can be renamed recursively.